package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.group.SimulationMageGroupParam;
import api.common.pojo.po.group.SimulationMageGroupPO;
import org.apache.ibatis.annotations.*;

import java.util.List;

@Mapper
public interface SimulationMageGroupMapper {
    @Insert("insert into simulation_mage_group (id,group_name,software_path,controller_path,connector_path,group_description) values" +
        "(#{id},#{groupName},#{softwarePath},#{controllerPath},#{connectorPath},#{groupDescription})")
    int addSimulationMageGroup(SimulationMageGroupParam scene);

    @Select("<script>" +
        "select id,group_name,software_path,controller_path,connector_path,group_description,create_time,update_time from simulation_mage_group where deleted = 0 " +
        "<if test='groupName != null'> " +
        " AND group_name like CONCAT('%',#{groupName},'%') " +
        "</if>" +
        "<if test='groupDescription != null'> " +
        " AND group_description like CONCAT('%',#{groupDescription},'%') " +
        "</if>" +
        "order by create_time desc" +
        "</script>")
    List<SimulationMageGroupPO> selectSimulationMageGroupList(@Param("groupName") String groupName, @Param("groupDescription") String groupDescription);

    @Select("select id,group_name,software_path,controller_path,connector_path,group_description,create_time,update_time from simulation_mage_group where id = #{id} and deleted = 0")
    SimulationMageGroupPO selectSimulationMageGroupById(@Param("id") String id);

    @Update("update simulation_mage_group set deleted = 1 where id = #{id}")
    int deleteSimulationMageGroupById(@Param("id") String id);

    @Update("update simulation_mage_group set software_path = #{softwarePath},controller_path = #{controllerPath},connector_path = #{connectorPath},group_description = #{groupDescription}" +
        " where id = #{id}")
    int updateSimulationMageGroupById(SimulationMageGroupParam param);

}
